<template>
  <v-row>
    <v-col cols="12" sm="4">
      <Field #default="{ errors, field, value }" name="OACI" rules="required|min:4|max:4|alpha|uppercase"
        v-model="airport.oaci">
        <v-text-field @update:model-value="field.onChange" :model-value="value" label="OACI" density="compact" color="primary"
          data-cy="AirportFormOaciInput" :error-messages="errors" :counter="4" variant="outlined" class="required" persistentCounter>
        </v-text-field>
      </Field>
    </v-col>
    <v-col cols="12" sm="4">
      <Field #default="{ errors, field, value }" name="IATA" rules="required|min:3|max:4|alpha|uppercase"
        v-model="airport.iata">
        <v-text-field @update:model-value="field.onChange" :model-value="value" label="IATA" density="compact" color="primary"
          data-cy="AirportFormIataInput" :error-messages="errors" :counter="3" variant="outlined" class="required" persistentCounter>
        </v-text-field>
      </Field>
    </v-col>
    <v-col cols="12" sm="4">
      <Field #default="{ errors, field, value }" name="Name" rules="max:255" v-model="airport.name">
        <v-text-field @update:model-value="field.onChange" :model-value="value" label="Nom" density="compact" color="primary"
          data-cy="AirportFormNameInput" :error-messages="errors" variant="outlined">
        </v-text-field>
      </Field>
    </v-col>
    <v-col cols="12" sm="4">
      <Field #default="{ errors, field, value }" name="Timezone" rules="required" v-model="airport.timezone">
        <v-autocomplete @update:model-value="field.onChange" :model-value="value" label="Timezone" density="compact"
          data-cy="AirportFormTimezoneInput" item-title="location" :error-messages="errors" :items="timezones" variant="outlined" color="primary"
          class="required">
        </v-autocomplete>
      </Field>
    </v-col>
    <v-col cols="12" sm="8">
      <Field #default="{ errors, field, value }" name="TicketMention" rules="max:255" v-model="airport.ticketMention">
        <v-textarea @update:model-value="field.onChange" :model-value="value" label="Mention sur les billets" density="compact"
          rows="3" data-cy="AirportFormTicketMentionInput" :error-messages="errors" :counter="255" variant="outlined" persistentCounter color="primary">
        </v-textarea>
      </Field>
    </v-col>
  </v-row>
</template>

<script setup lang="ts">
import { Airport } from "~/dto/airport.dto";
import { Timezone } from "~/dto/timezone.dto";

defineProps<{ airport: Airport }>();

const store = useStore();

const timezones: Ref<Timezone[]> = computed(() => {
  return store.timezones
});

</script>
